SQLLoadableCollection (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.persister.collection
Interface SQLLoadableCollection

All Superinterfaces:
  CollectionPersister, Joinable, PropertyMapping, QueryableCollection

All Known Implementing Classes:
  AbstractCollectionPersister, BasicCollectionPersister, OneToManyPersister

    public interface SQLLoadableCollection

extends QueryableCollection

Method Summary
`String[]` | `getCollectionPropertyColumnAliases(String propertyName, String string)`
`String` | `getIdentifierColumnName()`

Methods inherited from interface org.hibernate.persister.collection.QueryableCollection
`getElementColumnNames, getElementColumnNames, getElementPersister, getFetchMode, getIndexColumnNames, getIndexColumnNames, getIndexFormulas, getManyToManyOrderByString, getSQLOrderByString, hasWhere, selectFragment`

Methods inherited from interface org.hibernate.persister.entity.PropertyMapping
`getType, toColumns, toColumns, toType`

Methods inherited from interface org.hibernate.persister.entity.Joinable
`consumesCollectionAlias, consumesEntityAlias, filterFragment, fromJoinFragment, getKeyColumnNames, getName, getTableName, isCollection, oneToManyFilterFragment, selectFragment, whereJoinFragment`

Methods inherited from interface org.hibernate.persister.collection.CollectionPersister
`deleteRows, elementExists, getCacheAccessStrategy, getCacheEntryStructure, getCollectionMetadata, getCollectionSpaces, getCollectionType, getElementByIndex, getElementClass, getElementColumnAliases, getElementNodeName, getElementType, getFactory, getIdentifierColumnAlias, getIdentifierGenerator, getIdentifierType, getIndexColumnAliases, getIndexNodeName, getIndexType, getKeyColumnAliases, getKeyType, getManyToManyFilterFragment, getNodeName, getOwnerEntityPersister, getRole, getSize, hasCache, hasIndex, hasManyToManyOrdering, hasOrdering, hasOrphanDelete, indexExists, initialize, insertRows, isAffectedByEnabledFilters, isArray, isCascadeDeleteEnabled, isExtraLazy, isInverse, isLazy, isManyToMany, isMutable, isOneToMany, isPrimitiveArray, isVersioned, postInstantiate, readElement, readIdentifier, readIndex, readKey, recreate, remove, updateRows`

Method Detail

### getCollectionPropertyColumnAliases

    String[] getCollectionPropertyColumnAliases(String propertyName,
                                                String string)

### getIdentifierColumnName

    String getIdentifierColumnName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.